petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSGetKSP

Returns the KSP (linear solver) associated with a TS (timestepper) context.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGetKSP(TS ts,KSP *ksp)

Not Collective, but KSP is parallel if TS is parallel Many br

### Input Parameter

ts -the TS context obtained from TSCreate() Many br

### Output Parameter

ksp -the nonlinear solver context Many br

### Notes

The user can then directly manipulate the KSP context to set various Many broptions, etc. Likewise, the user can then extract and manipulate the Many brKSP and PC contexts as well. Many br

TSGetKSP() does not work for integrators that do not use KSP; Many brin this case TSGetKSP() returns NULL in ksp. Many br

Many br

### Keywords

timestep, get, KSP

Level:beginner
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages